# makefile for libpng
# Copyright (C) 1995 Guy Eric Schalnat, Group 42, Inc.
# For conditions of distribution and use, see copyright notice in png.h

SRCDIR=..
include $(SRCDIR)/Make.Rules

CFLAGS+=-I../zlib -I../ppm

HDRS = png.h pngconf.h

ARLIB = libpng.a

OBJS = png.o pngset.o pngget.o pngrutil.o pngtrans.o pngwutil.o \
	pngread.o pngrio.o pngwio.o pngwrite.o pngrtran.o \
	pngwtran.o pngmem.o pngerror.o pngpread.o

MAJOR = 1
MINOR = 0
PATCH = 96

SHBASE=png

#APPS = pngtest (you don't really want to install this)
APPS = pnmtopng pngtopnm

MAN1S = pnmtopng.1 pngtopnm.1

LOADLIBES = -L. -lpng -L../zlib -lz -L../pnm -lpnm -L../ppm -lppm -L../pgm -lpgm -L../pbm -lpbm -lm

include $(SRCDIR)/Make.Targets

